//-----------------------------------------------------------------------------
//
//						XMM Science Analysis System (SAS)
//						(c) 1997 European Space Agency
//
//-----------------------------------------------------------------------------
//
//	ds9tocxc.cc --- convert ds9 region file into CXC region file
//
//	DESCRIPTION:
//		Convert ds9 region file into CXC format
//
//	CHANGE HISTORY:
//		UL, 2001-08-13: 1.0.0: - inital version
//
//	AUTHOR:
//		U. Lammers (UL), Mon Aug 13 15:36:48 MET DST 2001
//
//	REFERENCES:
//		[1]: Software Specification Document for the XMM Science Analysis
//			 Subsystem, M. Dahlem et. al., 
//
//	$Header: /sasbuild/repositories/sasdev/sas/packages/imgdisplay/conv/ds9tocxc.cc,v 1.3 2002/09/18 15:22:52 ulammers Exp $
//

#include "param.h"
#include "ASCregion.h"
#include "Ds9.h"

#include "ds9tocxc.h"

void ds9tocxc()
{
	ImageDisplayer::Region r;
	std::cin>>r;
	OutASCregionTable outtab(stringParameter("outset"),
							 stringParameter("xcolumn"),
							 stringParameter("ycolumn"));
	outtab<<r;
	r.free();
} // ds9tocxc()
